# Uses of Enum Class
org.bukkit.block.structure.StructureRotation

Packages that use StructureRotation
Package
Description
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.block.structure
Classes relevant to structure blocks.
org.bukkit.structure
Classes related to creating or using `structures` without creating `Structure blocks` in the world.

## Uses of StructureRotation in org.bukkit.block

Methods in org.bukkit.block that return StructureRotation
Modifier and Type
Method
Description
`@NotNull StructureRotation`
Structure.`getRotation()`
Get how this structure is rotated.
Methods in org.bukkit.block with parameters of type StructureRotation
Modifier and Type
Method
Description
`void`
Structure.`setRotation(@NotNull StructureRotation rotation)`
Set how this structure is rotated.

## Uses of StructureRotation in org.bukkit.block.structure

Methods in org.bukkit.block.structure that return StructureRotation
Modifier and Type
Method
Description
`static StructureRotation`
StructureRotation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StructureRotation[]`
StructureRotation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of StructureRotation in org.bukkit.structure

Methods in org.bukkit.structure with parameters of type StructureRotation
Modifier and Type
Method
Description
`void`
Structure.`place(@NotNull Location location, boolean includeEntities, @NotNull StructureRotation structureRotation, @NotNull Mirror mirror, int palette, float integrity, @NotNull Random random)`
Place a structure in the world.
`void`
Structure.`place(@NotNull RegionAccessor regionAccessor, @NotNull BlockVector location, boolean includeEntities, @NotNull StructureRotation structureRotation, @NotNull Mirror mirror, int palette, float integrity, @NotNull Random random)`
Place a structure in the world.